Skip to main content
GET
/
sdk
/
{environmentId}
/
providers
/
cbOauthRedirectUrl
Redirect URL for sign-in with coinbase
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/providers/cbOauthRedirectUrl \
  --header 'Authorization: Bearer <token>'
"<string>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

code
string

Valid oauth code

Pattern: ^[a-zA-Z0-9_\.\-\/\\%*!+=]{5,1500}$
Example:

"4/0AVHEtk436ug4uWwZN9i2PDpxGTVnLr63IqTNFzTInHce1q2JHQyOCJut9IK2SCZh4JaoSA"

scope
string
state
string
Maximum string length: 255
Pattern: ^[a-zA-Z0-9 _.,:!?&%@\/'-]*$
authuser
string
Maximum string length: 255
Pattern: ^[a-zA-Z0-9 _.,:!?&%@\/'-]*$
prompt
string
Maximum string length: 255
Pattern: ^[a-zA-Z0-9 _.,:!?&%@\/'-]*$
error
string

Valid oauth error

Pattern: ^[a-zA-Z_\-]{5,100}$
Example:

"access_denied"

Response

Success

The response is of type string.